Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html.simpleparser
Class ChainedProperties

    java.lang.Object
      com.lowagie.text.html.simpleparser.ChainedProperties

    public class ChainedProperties

extends java.lang.Object

Field Summary
`java.util.ArrayList` | `chain`
`static int[]` | `fontSizes`

Constructor Summary
`ChainedProperties()` Creates a new instance of ChainedProperties

Method Summary
`void` | `addToChain(java.lang.String key, java.util.HashMap prop)`
`java.lang.String` | `getProperty(java.lang.String key)`
`boolean` | `hasProperty(java.lang.String key)`
`void` | `removeChain(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontSizes

    public static final int[] fontSizes

### chain

    public java.util.ArrayList chain

Constructor Detail

### ChainedProperties

    public ChainedProperties()

  Creates a new instance of ChainedProperties

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### hasProperty

    public boolean hasProperty(java.lang.String key)

### addToChain

    public void addToChain(java.lang.String key,
                           java.util.HashMap prop)

### removeChain

    public void removeChain(java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD